Phonon-backend-vlc-0.9.1

Phonon-backend-vlc の概要

本パッケージは VLC メディアフレームワークにて用いられている Phonon バックエンドを提供します。

本パッケージは LFS-8.0 において正しくビルドでき動作することが確認されています。

パッケージ情報

Phonon-backend-vlc の依存パッケージ

必須

phonon-4.9.1, VLC-2.2.6

ユーザー情報: http://wiki.linuxfromscratch.org/blfs/wiki/phonon-backend-vlc

Phonon-backend-vlc のインストール

[注記]

注記

This package unpacks to the directory phonon-vlc-0.9.1.

以下のコマンドを実行して Phonon-backend-vlc をビルドします。

mkdir build &&
cd    build &&

cmake -DCMAKE_INSTALL_PREFIX=/usr    \
      -DCMAKE_BUILD_TYPE=Release     \
      -DPHONON_BUILD_PHONON4QT5=ON   \
      -Wno-dev .. &&
make

root ユーザーになって以下を実行します。

make install

コマンド説明

-DCMAKE_BUILD_TYPE=Release: このスイッチは、コンパイラーの最適化オプションを最高レベルにて適用することを指示します。

-DPHONON_BUILD_PHONON4QT5=ON: This switch is used to ensure that Qt5 version of the backend is built even if Qt4 is present.

パッケージ構成

インストールプログラム: なし
インストールライブラリ: phonon_vlc.so
インストールディレクトリ: /usr/lib/qt5/plugins/phonon4qt5_backend

最終更新日: 2017-03-24 14:33:16 +0900